Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Interface KodoExtent

All Superinterfaces:
  Extent

All Known Implementing Classes:
  ExtentImpl

public interface KodoExtent
extends Extent

Extension of the `Extent` interface that adds some Kodo-specific methods.

Since:
  3.0

Method Summary
`FetchConfiguration` | `getFetchConfiguration()` Return the (mutable) fetch configuration for this extent.
`boolean` | `getIgnoreCache()` Whether this extent will ignore the persistence manager cache.
`List` | `list()` Returns a list of all objects represented by this extent.
`void` | `setIgnoreCache(boolean ignoreCache)` Whether this extent will ignore the persistence manager cache.

Methods inherited from interface javax.jdo.Extent
`close, closeAll, getCandidateClass, getPersistenceManager, hasSubclasses, iterator`

Method Detail

### getFetchConfiguration

    public FetchConfiguration getFetchConfiguration()

  Return the (mutable) fetch configuration for this extent.

### getIgnoreCache

    public boolean getIgnoreCache()

  Whether this extent will ignore the persistence manager cache.

### setIgnoreCache

    public void setIgnoreCache(boolean ignoreCache)

  Whether this extent will ignore the persistence manager cache.

### list

    public List list()

  Returns a list of all objects represented by this extent. This method creates a `List` by traversing the entire iterator returned by a call to `Extent.iterator()`. This means that `Collection.size()` will work correctly, but if the extent represents a large data set, this method may be quite slow and may consume quite a bit of memory.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.